/*+		T D T M A I N

 * Module name:
     tdtmain

 * Function:
     TDT main program

 * Description:
     This module provides the implementation of items in the tdt task
     main program.  This is only needed if the sub-system implements
     a DRAMA task and should be considered a template guide only.  The
     author is free to take other approaches.

 * Language:
      C++

 * Support: {author}, AAO

 *-

 * "@(#) $Id$"

 * History:
     {dd-mmm-yyyy} - {initials} - Original version

 *  Copyright (c) Macquarie University, {year}.
    Not to be used for commercial purposes without permission.
    No warranty of any form unless subject to a specific agreement.

 */
/*
 * RCS id
 */
static const char *rcsId="@(#) $Id$";
static void *use_rcsId = (0 ? (void *)(&use_rcsId) : (void *) &rcsId);

#include "tdt.hh"


/**
 * Create and run the task.   See tdt.hh, class tdt::Task for details.
 */
int main()
{
    drama::CreateRunDramaTask<tdt::Task>(
        "TDT", /* Task name */
        "TDT",    /* Log sys name */
        "TDT template task");


    return 0;
}
